Subject: Re: bash incorrectly determines HOME and HOMEDRIVE
From: Larry Hall <[email-masked]>
To: "Ralf G. R. Bergs" <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Thu, 25 Mar 2004 17:03:41 -0500

At 04:56 PM 3/25/2004, you wrote:
>Ken Thompson wrote:
>
>>I don't think this is really a bash issue.  I think HOMEDRIVE is actually
>>set by XP and bash is just importing it.  Cygwin has a default for NOME if
>
>No. On my system, HOMEDRIVE was NOT set (neither for me personally, nor for all users.)

HOMEDRIVE is set by Windows.  You don't have to set it.  And bash wouldn't
know HOMEDRIVE from a hole in the wall. ;-)

>>it is not set but it is unlikely to be what you desire.  Just set the
>>environment variable HOMEDRIVE to 'H:' and it will do exactly what you wish.
>>The correct procedure on Cygwin is to manually set the environment variables
>>to whatever you wish them to be
>
>As I've already written in my original message, if I change it in XP, bash overwrites it. I can't imagine that this is correct behavior?!

I'd agree.  But moving profiles like you did is not likely to be without
repercussions.  I'm assuming that MS wouldn't recommend this.  Nevertheless,
it's a Windows problem that you'll get better information about it on some
other list.  At this point, you've gone beyond the scope of this one.

--
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746                     

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/